# 82. Query: Abonneesgebeurtenissen herstellen

Het is altijd goede praktijk om de mogelijkheid te hebben geleverde versus geproduceerde abonnementsevenementen te herstellen/hercontroleren. Daarom slaat GeoPard de geschiedenis op van alle geproduceerde abonnementsevenementen voor de **laatste 12 maanden**.&#x20;

De veelvoorkomende gevallen:&#x20;

* Slechte internetverbinding en gebeurtenissen zijn niet afgeleverd
* Heruitrol van de WebSocket-luisteraar
* Controleer de consistentie van ontvangen versus geproduceerde gebeurtenissen

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        actie
        nodePath {
          entiteit
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Ondersteunde invoerfilters:

* `dateFrom` als datumtijd in ISO 8601-formaat (bv: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` als datumtijd in ISO 8601-formaat (bv: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` als array van "Boerderij" UUID's om te doorzoeken
* `fieldUuids` als array van "Perceel" UUID's om te doorzoeken&#x20;
* `userUuids` als array van "User" UUID's om te doorzoeken
* `eventUuids` als array van abonnement "Event" UUID's

{% hint style="info" %}
Alle filters werken als logische **EN**.
{% endhint %}

{% hint style="info" %}
Elk abonnementsgebeurtenis heeft een attribuut `executionDate` gekoppeld aan het verzendmoment in het AWSDateTime-formaat compatibel met ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-docs/overzicht-van-api-verzoeken-van-geopard/82.-query-abonneesgebeurtenissen-herstellen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
